This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 537383 - [RHEL3] glob crash
[RHEL3] glob crash
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc (Show other bugs)
3.9
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Andreas Schwab
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-13 07:34 EST by Sergey Pachkov
Modified: 2009-11-25 10:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 10:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
compress archive with source code and binary (4.51 KB, application/x-compressed)
2009-11-13 07:34 EST, Sergey Pachkov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 3253 None None None Never

  None (edit)
Description Sergey Pachkov 2009-11-13 07:34:38 EST
Created attachment 369416 [details]
compress archive with source code and binary

Description of problem:
glob produce seg fault on folder with >65000 files

Version-Release number of selected component (if applicable):
glibc-2.3.2-95.50

How reproducible:
set max stack size to 1024
call simple glob application

Steps to Reproduce:
1. generate >65000 files in folder
2. set ulimit -s 1024, ulimit -c unlimited
3. call glob_test
  
Actual results:
core dump

Expected results:
list of files

Additional info:
file_gen - file generator
glob_test - small application to call glob function on folder with files

by default use gen67000 folder
Comment 1 Andreas Schwab 2009-11-13 08:43:46 EST
1MB of stack is awfully small.
Comment 2 Sergey Pachkov 2009-11-13 08:51:03 EST
Yes, but it's way to reproduce problem in glob quickly
when we set default 10M, the problem reproduced on bigger file count.

like in http://sources.redhat.com/bugzilla/show_bug.cgi?id=3253
Comment 3 Sergey Pachkov 2009-11-16 00:58:12 EST
yes, in 10Mb max stack size (set by default in RHEL3)
glibc has fault on 654275 files

that has been by use of alloca in glob function

Can be possible patch glibc in RHEL3 as in RHEL4 ?
Comment 4 Ulrich Drepper 2009-11-25 10:56:51 EST
RHEL3 is too old.  It is it's last phase of life where only critical security patches are applied.  It is extremely unlikely that any bug fix is applied at this time, especially something as risky like this.

If you don't agree with this you'll have to open a support ticket with your RH contact and make a very good case.

Note You need to log in before you can comment on or make changes to this bug.